Package org.apache.storm

# Interface ILocalClusterTrackedTopologyAware

All Superinterfaces:
  `AutoCloseable`, `ILocalCluster`

All Known Implementing Classes:
  `LocalCluster`

public interface ILocalClusterTrackedTopologyAware extends ILocalCluster
This is here mostly for backwards compatibility. Please see `LocalCluster` for more details on testing a Storm Topology.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.storm.ILocalCluster

  `ILocalCluster.ILocalTopology`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ILocalCluster.ILocalTopology`
  `submitTopology(String topologyName, Map<String,Object> conf, TrackedTopology topology)`
  Submit a tracked topology to be run in local mode.
  `ILocalCluster.ILocalTopology`
  `submitTopologyWithOpts(String topologyName, Map<String,Object> conf, TrackedTopology topology, SubmitOptions submitOpts)`
  Submit a tracked topology to be run in local mode.

  ### Methods inherited from interface java.lang.AutoCloseable

  `close`

  ### Methods inherited from interface org.apache.storm.ILocalCluster

  `activate, advanceClusterTime, advanceClusterTime, deactivate, getClusterInfo, getClusterState, getTopology, getTopologyConf, getTopologyInfo, getTopologyInfoByName, getTopologyInfoByNameWithOpts, getTopologyInfoWithOpts, getTopologySummaries, getTopologySummary, getTopologySummaryByName, getTrackedId, killTopology, killTopologyWithOpts, rebalance, shutdown, submitTopology, submitTopologyWithOpts, uploadNewCredentials`

- ## Method Details

  - ### submitTopology

    ILocalCluster.ILocalTopology submitTopology(String topologyName, Map<String,Object> conf, TrackedTopology topology) throws org.apache.storm.thrift.TException
    Submit a tracked topology to be run in local mode.
    Parameters:
      `topologyName` - the name of the topology to use
      `conf` - the config for the topology
      `topology` - the topology itself.
    Returns:
      an AutoCloseable that will kill the topology.
    Throws:
      `org.apache.storm.thrift.TException` - on any error from nimbus

  - ### submitTopologyWithOpts

    ILocalCluster.ILocalTopology submitTopologyWithOpts(String topologyName, Map<String,Object> conf, TrackedTopology topology, SubmitOptions submitOpts) throws org.apache.storm.thrift.TException
    Submit a tracked topology to be run in local mode.
    Parameters:
      `topologyName` - the name of the topology to use
      `conf` - the config for the topology
      `topology` - the topology itself.
      `submitOpts` - options for topology
    Returns:
      an AutoCloseable that will kill the topology.
    Throws:
      `org.apache.storm.thrift.TException` - on any error from nimbus